Inbox · Comments

List commented posts

Returns commented posts, one page at a time.

GEThttps://api.pozy.ai/v1/inbox/comments
listInboxComments

Guides: Comments, Bluesky

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the engagement resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
profileIdstring
platformstringOne of facebook, instagram, twitter, bluesky, threads, youtube, linkedin, reddit, tiktok, metaads
minCommentsintegerAt least 0
sincestring (date-time)
sortBystringOne of date, commentsDefault date
sortOrderstringOne of asc, descDefault desc
limitintegerDefault 501 to 100
cursorstring
accountIdstring

Example

curl -X GET "https://api.pozy.ai/v1/inbox/comments?limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • dataarray of object
    15 child fields
    • idstring
    • platformstring
    • accountIdstring
    • accountUsernamestring
    • contentstring
    • picturestring

      Can be null.

    • permalinkstring

      Can be null.

    • createdTimestring (date-time)
    • commentCountinteger
    • likeCountinteger
    • cidstring

      Can be null.

    • subredditstring

      Can be null.

    • isAdboolean
    • adIdstring
    • placementstring

      One of facebook, instagram.

  • paginationobject
    • hasMoreboolean
    • nextCursorstring

      Can be null.

  • metaobject
    • accountsQueriedinteger
    • accountsFailedinteger
    • failedAccountsarray of object
      6 child fields
      • accountIdstring
      • accountUsernamestring

        Can be null.

      • platformstring
      • errorstring
      • codestring

        Can be null.

      • retryAfterinteger

        Can be null.

    • lastUpdatedstring (date-time)
    • accountsSkippedarray of object
      2 child fields
      • accountIdstring
      • platformstring
200 response
{
  "data": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "platform": "instagram",
      "accountId": "696e0b682d0a31188e7a2ba9",
      "accountUsername": "acme",
      "content": "Hello from Pozy",
      "picture": "string",
      "permalink": "string",
      "createdTime": "2026-10-02T09:00:00.000Z",
      "commentCount": 42,
      "likeCount": 42,
      "cid": "60cc682239f4a5a15c99a784",
      "subreddit": "string",
      "isAd": true,
      "adId": "6f40fa2fb0a7e728dd1a73b7",
      "placement": "facebook"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "string"
  },
  "meta": {
    "accountsQueried": 42,
    "accountsFailed": 42,
    "failedAccounts": [
      {
        "accountId": "696e0b682d0a31188e7a2ba9",
        "accountUsername": "acme",
        "platform": "instagram",
        "error": "string",
        "code": "string",
        "retryAfter": 1
      }
    ],
    "lastUpdated": "2026-10-02T09:00:00.000Z",
    "accountsSkipped": [
      {
        "accountId": "696e0b682d0a31188e7a2ba9",
        "platform": "instagram"
      }
    ]
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Comments